import java.lang.*;
import java.util.*;
import java.awt.*;
import javax.swing.*;
 

class Punkt
{ protected int x, y;
  
  public Punkt(int wspX, int wspY)  
    { x=wspX; y = wspY;}
  
  public int podajX()  
    { return x;}
  
  public int podajY()  
    { return y;}     

  public double odleglosc(Punkt p)
   {  return Math.sqrt((x-p.x)*(x-p.x)+(y-p.y)*(y-p.y)); } 

  public void rysuj(Graphics g)
    {  Graphics2D g2D= (Graphics2D)g;
       Color pedzel =new Color(255,0,0);
       g2D.setColor(pedzel);
       g2D.fillOval(x,y,5,5);
    }
 }

class Kwadrat extends Punkt
 { protected int dlugosc;
   
   public Kwadrat(int wspX, int wspY,int dlugosc_)
      { super(wspX,wspY);   
        dlugosc=dlugosc_;} 
   
   public double odleglosc()
      { return Math.sqrt(x*x+y*y); }
   
   public double odleglosc(Punkt p)
      { return odleglosc()+ super.odleglosc(p);} 
   
   public int podajDl()   
      { return dlugosc;} 
  
   public void rysuj(Graphics g)
     {Graphics2D g2D=(Graphics2D)g;
      Color pedzel=new Color(0,255,0);
      g2D.setColor(pedzel);
      g2D.fillRect(x,y,dlugosc,dlugosc);
     } 
 }
 
 
class Figury extends JPanel
{ protected int N=6; 
  protected Punkt figury[];
  
  public void wypelnij()
   {figury =new Punkt[N];
    for (int i=0; i<figury.length; i++)
	 { figury[i]=new Punkt(i*22,i*22);
 	    if (i<figury.length-1)
	 	figury[++i]= new Kwadrat (i*44,i*44,20);
	 } 
   }
  
  public void polozenie()
   {	
    for (int i=0; i<figury.length-1;i++)
     { boolean p=figury[i] instanceof Kwadrat;
       System.out.println("\n"+
       p+", ze jestem kwadratem, bo jestem "+figury[i].toString()+ 	
       " ,X="+figury[i].podajX()+
       " , Y="+figury[i].podajY()+
       " , odleglosc="+figury[i].odleglosc(figury[i+1]));
	 }
   }
   
 public void paintComponent(Graphics g) //przedefiniowanie metody  klasy JPanel
 	 { for (int i=0; i<figury.length; i++)   
         figury[i].rysuj(g); }  //automatyczne rysowanie albo punktu albo kwadratu
  
}

public class  Obraz3  extends JFrame            
{ protected Figury rysunek;
  
  public  Obraz3()
  { super ("Obraz3");
    setSize(400,600);   
    setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
    rysunek=new Figury();
    rysunek.wypelnij();
    rysunek.polozenie();
    setContentPane(rysunek);
    setVisible(true);
  }
   
 public static void main(String args[])
  { Obraz3 obraz=new Obraz3(); 
  }
}